Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::FeedbackObject Struct Reference

Feedback from gateway sensor configuration usage. More...

`import "GatewaySensorManager.idl";`

## Public Types

enum | FeedbackState { UNSPECIFIED , INTENTIONALLY_UNUSED , FAILED_PRECONDITIONS_UNUSED , FAILED , GOOD }

## Public Attributes

string | key
| empty or free defined value name
string | value
| message or value
FeedbackState | stateTansitionTo
| this FeedbackObject changes state, if not UNSPECIFIED

## Detailed Description

Feedback from gateway sensor configuration usage.

There is no knowledge of Feedback required to configure gateway sensors. The following is only needed for special tools that monitor the usage of the configurations above.

Definition at line 729 of file GatewaySensorManager.idl.

## Member Enumeration Documentation

## FeedbackState

enum peripheral::GatewaySensorManager::FeedbackObject::FeedbackState

Definition at line 730 of file GatewaySensorManager.idl.

## Member Data Documentation

## key

string peripheral::GatewaySensorManager::FeedbackObject::key

empty or free defined value name

Definition at line 738 of file GatewaySensorManager.idl.

## stateTansitionTo

FeedbackState peripheral::GatewaySensorManager::FeedbackObject::stateTansitionTo

this FeedbackObject changes state, if not UNSPECIFIED

Definition at line 740 of file GatewaySensorManager.idl.

## value

string peripheral::GatewaySensorManager::FeedbackObject::value

message or value

Definition at line 739 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl